# SPDX-FileCopyrightText: 2024 Clicks Codes
#
# SPDX-License-Identifier: GPL-3.0-only

{inputs, ...}: final: prev: {
  fava = prev.fava.overrideAttrs (prevAttrs: let
    version = "1.28";
  in {
    inherit version;
    src = prev.fetchPypi {
      pname = "fava";
      inherit version;
      hash = "sha256-sWHVkR0/0VMGzH5OMxOCK4usf7G0odzMtr82ESRQhrk=";
    };

    propagatedBuildInputs = prevAttrs.propagatedBuildInputs ++ [
      prev.python3.pkgs.watchfiles
    ];

    patches = (prevAttrs.patches or []) ++ [
      ./1833-respect-ordering.patch
    ];
  });
}
